body{
	background: url(../img/background-123bet-1.jpg);
	font-family: 'Prompt', sans-serif;
	background-position: top;
	background-repeat: no-repeat;
}
.navbar .navbar-collapse .navbar-nav .nav-item .nav-link{
	font-family: 'Kanit', sans-serif;
}
#topNav .navbar-brand .img-mobile{
	display: none;
}
.rounded-circle {
	border-radius: 50% !important;
	border-bottom: 1px solid 
	antiquewhite;
	border-right: 1px solid 
	antiquewhite;
	border-left: 1px solid 
	antiquewhite;
	box-shadow: 0px 12px 27px darkslateblue;
}
#topNav{
	background-color: #212c3e !important;
}
.bg-dark {
	border-bottom: 1px solid
	antiquewhite;
	
	
}
#news-articles h2 , h3 {
  font-size: 24px;
  color: #c32cd4;
}
.login{
	margin-top: 140px;
	display: block;
}
.login .dom-login{
	text-align: center;

}
.login .dom-login .login-z{
	display: inline-block;
	padding: 30px;

	
}
.login .dom-login .login-z button{
	width: 100%;
	margin-top: 5px;
	border-radius: 30px;
	font-size: 18px;
}
.login .dom-login .login-z .btn-danger{
	background: linear-gradient(to right,#fd0505, #c67103);
}
.login .dom-login .login-z .btn-danger:hover{
	background: linear-gradient(to right,#f78585, #ccab7f);
}
.login .dom-login .login-z .btn-primary{
	background: linear-gradient(to right,#1805fd, #8903c6);
}
.login .dom-login .login-z .btn-primary:hover{
	background: linear-gradient(to right,#7b75ce, #954fb5);
}
.login .dom-login .login-z{
	font-family: 'Kanit', sans-serif;
}
.input-container {
	display: -ms-flexbox; /* IE10 */
	display: flex;
	width: 100%;
	margin-bottom: 15px;
}

.icon {
	padding: 10px;
	
	color: white;
	min-width: 50px;
	text-align: center;
}
.input-field1 {
	width: 100%;
	outline: none;
	background:	#21385e;
	color:	#fff;
	font-size: 17px;
	line-height: 1;
	font-family: inherit;
	font-family: 'Play', sans-serif;
	letter-spacing: 2px;
	padding-left: 30px;
	font-weight: inherit;
	#0055d6;
	border: 2px solid
	white;
	border-left: none;
	border-radius: 1px 10px 10px 4px;
}
.input-field:focus {
	border: 2px solid dodgerblue;
}
#validationform .login-z .icon {
	color: 
	white;
	font-size: 30px;
	background:#21385e;
	border: 2px solid
	white;
	border-right: none;
	border-radius: 10px 0px 0px 10px;
	margin-right: -8px;
}
/* Set a style for the submit button */

.btn:hover {
	opacity: 1;
}
#logovip{
	background: #304467;
}
#logovip	.vip-box{
	display: block;
}
#logovip .login-coler{
	background: #ccd3e0;
	padding-bottom: 10px;
}
#logovip	.vip-box img{
	max-width: 150px;
	padding-top: 15px !important;
	padding-bottom: 15px !important;
	display: block;
	margin: auto;
}
.tab .tablinks img{
	height: 33px;
	width: 33px;
	margin: 0 auto;
}
.tab .tablinks p{
	font-size: 11px;
}
.tab .tablinks{
	width: 25%;
	display: block;
	border-right: 1px solid #e3ddd4;
	height: 73px;
}
.tabcontent .login-form{
	margin-top: 20px;
}
#name-login{
	border: 1px solid #858595;
	border-radius: 5px;
	-webkit-box-shadow: inset 0 0 1px
	#fff, 0 7px 15px
	rgba(0, 0, 0, 0.3);
	box-shadow: inset 0 0 1px #fff, 0 7px 15px rgba(0, 0, 0, 0.3);
	background:
	#F5F5F6;
}
#name-login .label-ios{ 
	margin: 11px 8px 11px 0;
}
#name-login .label-ios .text-name{ 
	padding: 0 5px;
	border: 1px solid
	#b4b4b4;
	border-radius: 5px;
	margin: 10px;
	margin-bottom: 10px;
	-webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.3);
	box-shadow: inset 0 1px 2px
	rgba(0, 0, 0, 0.3);
	width: 95%;
	height: 35px;width: 95%;
	height: 35px;
}
#name-login .label-ios .text-password{ 
	padding: 0 5px;
	border: 1px solid
	#b4b4b4;
	border-radius: 5px;
	margin: 10px;
	margin-bottom: 10px;
	-webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.3);
	box-shadow: inset 0 1px 2px
	rgba(0, 0, 0, 0.3);
	width: 95%;
	height: 35px;width: 95%;
	height: 35px;
}
#name-login .login-btn{
	margin: 5px 5px;
}
#name-login .login-btn .login-gg{
	width: 100%;
	height: 40px;
	font-size: 0.9rem;
	color:
	#fff;
	background-color:#007bff;
	display: block;
	clear: both;
	width: 100%;
	contain: strict;
	transition: background-color, opacity 100ms linear;
	border-radius: 7px;
}
#name-login .login-btn .register{
	width: 100%;
	height: 40px;
	font-size: 0.9rem;
	border-radius: 7px;
	color:
	#FFFF;
	background-color:
	#c82333;
	display: block;
	clear: both;
	width: 100%;
	contain: strict;
	transition: background-color, opacity 100ms linear;

}
#name-login .login-btn .contact{
	width: 100%;
	height: 40px;
	font-size: 0.9rem;
	border-radius: 7px;
	color:
	#fff;
	background-color:
	#1a253b;
	display: block;
	clear: both;
	width: 100%;
	contain: strict;
	transition: background-color, opacity 100ms linear;
	
}
#sport img{
	width: 1010%;
	margin-top: 15px;
}
.dropdown{
	text-align: center;
	display: block;
	margin-top: 10px;
	margin-bottom: 10px;
	font-size: 13px;
	cursor: pointer;
}
#vip{
	display: block;
	color: #ffff;
	font-family: 'Prompt', sans-serif;
}
#vip .register-bg{
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
	box-shadow: 0px 25px 35px 45px;
	box-shadow: 0 20px 40px 30px
	rgba(18,25,35,.75);background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
	box-shadow: 0 20px 40px 30px
	rgba(18,25,35,.75);
	padding: 40px 0px 40px 0px;
	
	margin-top: 55px;
}
#vip .register-bg .strong-hed{
	text-align: center;
	display: block;
	margin-bottom: 35px;
	font-size: 25px;
	color:	tomato;
	font-family: 'Kanit', sans-serif;
}
#vip .register-bg .register-rs{

}
#vip .register-bg .register-rs img{
	display: block;
	margin: auto;
}
#vip .register-bg .register-rs strong{
	display: block;
	text-align: center;
	font-size: 19px;
	color:
	burlywood;
	padding-bottom: 20px;
	font-family: 'Kanit', sans-serif;
}
#vip .betting {

	background-position: center center;
	background-size: cover;
	opacity: 1;
	transition: background 0.3s,border-radius 0.3s,opacity 0.3s;
	padding-top: 35px;
	background-color: #1a212e;
}
#vip .betting .betting-wem{
	display: inline-block;
	padding: 3px;
	position: relative;
	border-radius: 22px;
	background: linear-gradient(to right,#4da4ff,
		#e915ff);
	clear: both;
	}#vip .betting .betting-right{
		display: block;
		text-align: center;
		margin-bottom: 16px;
	}
	#vip .betting .betting-wem .betting-hed{
		background:#000;
		color:#fff;
		margin: 0;
		font-size: 21px;
		padding: 5px 30px;
		border-radius: 20px;
		text-transform: uppercase;
		letter-spacing: .8px;
	}
	#vip .betting .row .col-md-12 .img-bettimg1{
		display: block;
		width: 360px;
		overflow: hidden;
		height: 100%;
		margin: auto;
	}
	#vip .betting .row .col-md-12 .img-bettimg1 .img-bet{
		width: 100%;
	}
		#vip .betting .row .col-md-6 .img-bettimg1{
		display: block;
		width: 360px;
		overflow: hidden;
		height: 100%;
		margin: auto;
	}
	#vip .betting .row .col-md-6 .img-bettimg1 .img-bet{
		width: 100%;
	}
	#vip .betting .row .contant-bet p{
		line-height: 1.8;
		text-indent: 50px;
		
	}
	#vip .betting1 .row .box-img {

	}
	#vip .betting1 .row .box-img .img-vip{
		overflow: hidden;
		width: 100%;
		display: block;
	}
	#vip .betting1 .row .box-img .img-vip .img-vip-contant{
		width: 100%;
	}
	#vip .betting1 {
		background: #1a212e;
	}
	#vip .betting1 .betting-wem{
		display: inline-block;
		padding: 3px;
		position: relative;
		border-radius: 22px;
		background: linear-gradient(to right,#4da4ff,
			#e915ff);
		clear: both;
		}#vip .betting1 .betting-right{
			display: block;
			text-align: center;
			padding-bottom: 50px;
			padding-top: 50px;
		}
		#vip .betting1 .betting-wem .betting-hed{
			background:#000;
			color:#fff;
			margin: 0;
			font-size: 21px;
			padding: 5px 30px;
			border-radius: 20px;
			text-transform: uppercase;
			letter-spacing: .8px;
		}
		#vip .betting1 .row .col-md-6,.col-md-8 p{
			line-height: 1.8;
			text-indent: 50px;
		}
		.setform{
			background: #1a253b;
		}
		.setform .box-ggp .desktops{
			display: inline-block;
			padding: 10px 0;
			background:
			#1a253b;
			margin-left: 5px;
			margin-right: 5px;
		}
		.setform .box-ggp .desktops img{
			width: 45px;
			border-bottom: 1px solid aliceblue;
			padding-bottom: 5px;
		}
		.setform .box-ggp .desktops p{
			display: inline-block;
			font-size: 13px;
			color:
			#f4f4f4;
			padding-top: 8px;
			font-weight: bold;
			border-bottom: 1px solid aliceblue;
		}
		.setform .box-ggp .youtube{
			display: inline-block;
			margin-left: 5px;
			margin-right: 5px;
		}
		.setform .box-ggp .youtube i{
			font-size: 35px;
			color:aliceblue;
			border-bottom: 1px solid aliceblue;
			padding-bottom: 5px;
		}
		.setform .box-ggp .youtube p{
			display: inline-block;
			font-size: 13px;
			color:
			#f4f4f4;
			padding-top: 8px;
			font-weight: bold;
			border-bottom: 1px solid aliceblue;

		}
		.setform .box-ggp .mobile{
			display: inline-block;
			margin-left: 5px;
			margin-right: 5px;
		}
		.setform .box-ggp .mobile img{
			width: 20px;
			border-bottom: 1px solid aliceblue;
			padding-bottom: 5px;
		}
		.setform .box-ggp .mobile p{
			display: inline-block;
			font-size: 13px;
			color:
			#f4f4f4;
			padding-top: 8px;
			font-weight: bold;
			border-bottom: 1px solid aliceblue;
		}
		.setform .box-ggp{
			font-size: 15px;
			font-weight: bold;
			color:white;
			text-align: center !important;
		}
		.footer-vip{
			margin-top: 15px;
			text-align: center;
			position: relative;
			margin-bottom: 5px;
		}
		.footer-vip .box-vip{
			display: block;
		}
		.footer-vip .box-vip span{
			font-size: 14px;
			font-weight: bold;
		}
		#show-line{
			position: sticky;
			float: right;
			bottom: 15px;
			z-index: 9999;
			margin-top: -190px;
			display: inline-block;
		}
		#show-line .box-pp{
			position: ;
		}
		#show-line .box-pp .closebtn{
			width: 50px;
			height: 0px;
			position: absolute;
			right: -20px;
			bottom: 137px;
			z-index: 9999;
			color:
			brown;
			cursor: pointer;
		}
		#show-line .box-pp .closebtn1{
			width: 50px;
			height: 0px;
			position: absolute;
			right: -20px;
			bottom: 190px;
			z-index: 9999;
			color:
			brown;
			cursor: pointer;
		}
		#box-main .btn-main{
			background-color:#15283f;
			color:antiquewhite;
			margin: 10px;
		}
		#sticky-footer {
			border-top: 2px solid 
			aliceblue;
			font-family: 'Kanit', sans-serif;
			background-color: #161e2b !important;
		}
		.bg-dark {
			background-color: #161e2b !important;
		}
		.text-white-50 {
			color: 
			rgba(255,255,255,0.5) !important;
		}
		.pb-4, .py-4 {
			padding-bottom: 1.5rem !important;
		}
		.pt-4, .py-4 {
			padding-top: 1.5rem !important;
		}
		.bg-dark {
			background-color: #343a40 !important;
		}
		.menu-contat {
			font-family: 'Kanit', sans-serif;
		}
		.menu {
			display: inline-table;
			font-family: 'Kanit', sans-serif;
		}
		.footer-ul {
			display: block;
			overflow: hidden;
			padding-left: 0;
			text-align: center;
		}
		.footer-ul .footer-li {
			display: inline-block;
			margin: 5px;
		}
		.box-cell {
			display: block;
			margin: auto;
			padding: 20px;
		}
		.text-center {
			border-top: 2px solid 
			aliceblue;
		}
		.text-center {
			text-align: center !important;
		}
		.menu .Payment {
			display: inline-block;
			width: 45%;
		}
		.menu .shar {
			display: inline-block;
			width: 45%;
			margin-left: 60px;
		}
		.menu .Payment strong {
			color: 
			aliceblue;
		}
		.menu .shar strong {
			display: ruby-text-container;
			color: 
			aliceblue;
		}
		.shar .box-social .facebook i {
			width: 35px;
			height: 35px;
			line-height: 35px;
			margin: 0;
			margin-right: 0px;
			margin-right: 0px;
			margin-right: 0px;
			margin-right: 2px;
			font-size: 14px;
			background: 
			#1e78ae !important;
			color:
			aliceblue;
			text-align: center;
			border-radius: 20px;
		}
		.shar .box-social .youtube i {
			width: 35px;
			height: 35px;
			line-height: 35px;
			margin: 0;
			margin-right: 0px;
			margin-right: 0px;
			margin-right: 0px;
			margin-right: 2px;
			font-size: 14px;
			background: 
			#dd1617 !important;
			color:
			aliceblue;
			text-align: center;
			border-radius: 20px;
		}
		.shar .box-social .twitter i {
			width: 35px;
			height: 35px;
			line-height: 35px;
			margin: 0;
			margin-right: 0px;
			margin-right: 0px;
			margin-right: 0px;
			margin-right: 2px;
			font-size: 14px;
			background: 
			#1e78ae !important;
			color:
			aliceblue;
			text-align: center;
			border-radius: 20px;
		}
		.shar .box-social .pinterest i {
			width: 35px;
			height: 35px;
			line-height: 35px;
			margin: 0;
			margin-right: 0px;
			margin-right: 0px;
			margin-right: 0px;
			margin-right: 2px;
			font-size: 14px;
			background: 
			#dd1617 !important;
			color:
			aliceblue;
			text-align: center;
			border-radius: 20px;
		}
		.menu-contat .img-logo p {
			font-size: 14px;
			margin-top: 10px;
			text-indent: 24px;
		}
		.footer-ul .footer-li a {
			color: 
			aliceblue;
			font-family: 'Kanit', sans-serif;
		}
		.menu-contat .img-logo a:hover {
			box-shadow: 6px 3px 25px 
			#79e0e3;
		}
		.menu-contat .img-logo a {
			color: 
			#FFF;
			background:
			cadetblue;
			padding: 7px 15px 7px 11px;
			border-radius: 15px;
			text-decoration: none;
		}
		.menu-contat .img-logo img {
			display: block;
			margin: auto;
		}
		.bg-back{
			position: absolute;
		}
		.articles{
			background:#1a212e;
			display: block;
		}
		.articles .articles-hed{
			text-align: center;
			font-size: 45px;
			font-weight: bold;
			color:
			tomato;
			padding-bottom: 15px;
			padding-top: 55px;
		}
		.articles .post-box{
			display: block;
		}
		.articles .post-box .post-articles a{

		}
		.articles .post-box .post-articles {
			display: inline-block;
			overflow: hidden;
			width: 32%;
			padding: 10px;
			height: 350px;
		}
		.articles .post-box .post-articles .bg-img{
			display: inline-block;
			padding: 0px;
			position: relative;
			border-radius: 14px;
			background: linear-gradient(to right,
				#4da4ff, #e915ff);
		}
		.articles .post-box .post-articles .bg-img .img-post{
			width: 100%;
			border: 4px solid;
			border-color:
			#5f9ea000;
			border-radius: 15px;

		}
		.articles .post-box .post-articles .post-top{
			font-family: 'Kanit', sans-serif;
			font-size: 18px;
			display: block;
			padding-bottom: 10px;
			padding-top: 10px;
			color:crimson;
		}
		.articles .post-box .post-articles .post-dec{
			font-size: 15px;
			color:
			antiquewhite;
			text-indent: 50px;
			font-family: 'Prompt', sans-serif;
		}
		.articles .post-box .post-articles 	.sup-time{
			display: block;
			overflow: hidden;
			font-size: 11px;
			margin-top: 5px;
		}
		.articles .post-box .post-articles .sup-time	.post-view{
			display: inline-block;
			color:burlywood;
			padding-right: 10px;
		}
		.articles .post-box .post-articles .sup-time	.post-time{
			color: cadetblue;
		}
		.entry-header {
			padding-top: 60px;
			text-align: center;
			font-family: 'Prompt', sans-serif;		
		}
		.box-con{
			background:
			#1c2330;
			color:aliceblue;	
			
		}
		.box-con .btn-grey{
			background: aliceblue;
		}
		.review-block {
			display: block;
			overflow: hidden;
			padding: 15px;
		}
		.box-con .review-block .box-review {
			border-top: 1px solid 
			#3f3f3f;
			border-bottom: 1px solid
			#1e1e1e;
			padding-top: 15px;
			padding-bottom: 15px;
			display: inherit;
		}
		.box-con .review-block img {
			width: 32%;
			display: block;
			margin: auto;
		}
		.box-con .review-block .review-block-name {
			color: 
			aliceblue;
			overflow: hidden;
			font-family: 'Mitr',sans-serif;
		}
		.box-con .review-block .review-block-date {
			color: 
			aliceblue;
			overflow: hidden;
			font-family: 'Mitr',sans-serif;
			font-size: 12px;
		}
		.box-con .review-block .review-block-rate {
			display: block;
			position: relative;
			padding-bottom: 10px;
		}
		.box-con .review-block .review-block-rate .btn-xs {
			font-size: xx-small;
			border-radius: 3px;
		}
		.box-con .review-block .review-block-title {
			color: 
			aliceblue;
			font-size: 13px;
			overflow: hidden;
			font-family: 'Bai Jamjuree',sans-serif;
		}
		.box-con .review-block .review-block-description {
			color: 
			aliceblue;
			font-size: 13px;
			overflow: hidden;
			font-family: 'Bai Jamjuree',sans-serif;
		}
		.box-button-all {
			display: block;
			margin: auto;
			text-align: center;
			width: 100%;
		}
		.row .col-md-12 a.button-review-all {
			position: relative;
			-webkit-appearance: none;
			-moz-appearance: none;
			appearance: none;
			background: 
			#f72359;
			padding: 0.5em 0.9em;
			border: none;
			color:
			white;
			font-size: 1em;
			cursor: pointer;
			outline: none;
			overflow: hidden;
			border-radius: 10px;
		}
		.box-button-all {
			text-align: center;
		}
		#vip .dic-box{
			padding-top: 45px;
			padding-bottom: 45px;
		}
		#vip .dic-box .text-top{
			display: block;
			text-align: center;
			padding: 10px;
		}
		#vip .dic-box .text-top .text-hed{
			display: inline-block;
			padding: 3px;
			position: relative;
			border-radius: 22px;
			background: linear-gradient(to right,
				#4da4ff,
				#e915ff);
			clear: both;
		}
		#vip .dic-box .text-top .text-hed .dic-hed{
			background:
			#000;
			color:
			#fff;
			margin: 0;
			font-size: 21px;
			padding: 5px 30px;
			border-radius: 20px;
			text-transform: uppercase;
			letter-spacing: .8px;
			font-family: 'Mitr',sans-serif;
		}
		#vip .dic-box .col-md-6  p{
			line-height: 1.8;
			text-indent: 50px;
		}
		#vip .dic-box  .col-md-6 .img-dic{
			width:100%;
		}
		#news-articles{
			margin-top: 150px;
		}
		#news-articles .articles-hred{
			display: block;
			overflow: hidden;
		}	
		#news-articles .articles-hred .article-time{
			color:	darkgray;
			font-size: 14px;
			margin-right: 10px;

		}
		#news-articles .articles-hred .article-view{
			color:#f9eb26;
			font-size: 13px;
		}
		#news-articles .articles-hred h1{
			text-align: center;
			color:
			bisque;
		}
		#news-articles .articles-hred .articles-hred-figure{
			display: block;
			width: 100%;
		}
		#news-articles .articles-hred .articles-hred-figure img{
			width: 100%;
		}
		.login .img-123betting{
			display: block;
			margin: auto;
		}
		#main{
			display: block;
			margin-top: 75px;
		}
		#main .entry-header{

		}
		#main .entry-header .entry-title{
			font-size: 30px;
			color:aqua;
		}
		.betting1 .row .col-md-3 .box-agent{
			display: inline-block;
			overflow: hidden;
			position: relative;
		}
		.betting1 .row .col-md-3 .box-agent .img-agent{
			width: 100%;
			display: block;
		}
		.betting1 .row .col-md-3 .box-agent .hed-agent{
			font-size: 18px;
			color:crimson;
			margin-bottom: 15px;
			display: block;
			margin-top: 15px;
			text-align: center;
		}
		.betting1 .row .col-md-3 .box-agent p{
			line-height: 1.8;
			text-indent: 50px;
		}
		a:hover {
			color: #b31100;
			text-decoration: underline;
		}
		body a {
			color: #ffcb00;
			text-decoration: none;
			background-color:transparent;
		}
		.card-login {
			margin-top: 130px;
			padding: 18px;
			max-width: 30rem;
		}
		.card-header {
			color: 
			#fff;
			background: #ff0000;
			font-family: sans-serif;
			font-size: 20px;
			font-weight: 600 !important;
			margin-top: 10px;
			border-bottom: 0;
			text-align: center;

		}
		#news-all {
			position: relative;
			overflow: hidden;
			margin-top: 103px;
		}
		#news-all .box-con1 .text-news h2 {
			text-align: center;
			font-size: 36px;
			padding: 38px;
			color: 
			cornflowerblue;
		}
		#news-all .box-con1 .view-articles {
			display: inline-block;
			width: 367px;
			padding: 10px;
			height: 409px;
			overflow: hidden;
			background: 
			#02182f;
			border: 1px solid currentColor;
			border-radius: 19px;
		}
		#news-all .box-con1 .view-articles a {
			text-decoration: none;
		}
		#news-all .box-con1 .view-articles a img {
			width: 100%;
			display: block;
			overflow: hidden;
		}
		#news-all .box-con1 .view-articles a h4 {
			font-family: 'Kanit', sans-serif;
			color: 
			cadetblue;
			padding: 10px;
			font-size: 20px;
		}
		#news-all .box-con1 .view-articles a figure {
			font-size: 12px;
			font-weight: bold;
		}
		#news-all .box-con1 .view-articles a figure time {
			color: beige;
		}
		#news-all .box-con1 .view-articles a figure .view-post {
			color: blueviolet;
			margin-left: 10px;
		}
		#news-all .box-con1 .view-articles a figure .cat-view {
			color: violet;
			margin-left: 10px;
		}
		#error {
			display: block;
			margin-bottom: 150px;
			margin-top: 145px;
		}
		#error .er{
			display: block;
		}
		#error .er strong{
			font-size: 165px;
			text-align: center;
			display: block;
			color:#5e8688;
		}
		#error .er p{
			font-size: 20px;
			color:chartreuse;

			text-align: center;
		}
		.button-share{
			display: inline-block;
			float: right;
		}
		.box-h-casino{
			display: block;
			text-align: center;
			margin: 10px;
			font-size: 24px;
		}
		.box-h-casino .h-casino{
			color:#e9eaea;
			padding-right: 4pc;
		}
		.box-h-casino .h-sport{
			color:#e9eaea;
			padding-right: 4pc;
		}
		.box-h-casino .h-huay{
			color:#e9eaea;
			padding-right: 4pc;
		}
		.box-h-casino .h-slot{
			color:#e9eaea;
		}